summaryrefslogtreecommitdiffstats
path: root/tools/i386/netboot/make_boot_network
diff options
context:
space:
mode:
Diffstat (limited to 'tools/i386/netboot/make_boot_network')
-rwxr-xr-xtools/i386/netboot/make_boot_network18
1 files changed, 18 insertions, 0 deletions
diff --git a/tools/i386/netboot/make_boot_network b/tools/i386/netboot/make_boot_network
new file mode 100755
index 000000000..282c96c4c
--- /dev/null
+++ b/tools/i386/netboot/make_boot_network
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+[ -z "$1" ] && { echo "usage: $0 <network card type> (eg: 3c59x)" ; exit 1; }
+
+ks="../../../install/ks.cfg"
+[ -e $ks ] || { echo "missing file $ks, create one based on $ks.default"; exit 1; }
+
+
+ln -sf stage1.$1 stage1
+ln -sf stage2.$1 stage2
+
+mformat a:
+mcopy {menu.lst,stage1,stage2} a:
+mcopy $ks a:
+
+./grub --batch <<EOF
+install (fd0)/stage1 d (fd0) (fd0)/stage2 p (fd0)/menu.lst
+EOF